/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ProjectMinimalDto } from './project-minimal-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { PublicUserDto } from './public-user-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { RoleDto } from './role-dto';

/**
 * Represents a data transfer object (DTO) for a project role.
 * @export
 * @interface ProjectRoleDto
 */
export interface ProjectRoleDto {
    /**
     * Identifier of the project role.
     * @type {string}
     * @memberof ProjectRoleDto
     */
    'id'?: string;
    /**
     * 
     * @type {ProjectMinimalDto}
     * @memberof ProjectRoleDto
     */
    'project'?: ProjectMinimalDto;
    /**
     * 
     * @type {RoleDto}
     * @memberof ProjectRoleDto
     */
    'role'?: RoleDto;
    /**
     * 
     * @type {PublicUserDto}
     * @memberof ProjectRoleDto
     */
    'user'?: PublicUserDto;
}

